# \Thelia\CoreThelia

## Summary

Methods
Properties
Constants
init()
getCacheDir()
getLogDir()
registerBundles()
registerContainerConfiguration()
No public properties found
THELIA_VERSION
initPropel()
loadConfiguration()
getContainerBuilder()
buildContainer()
getKernelParameters()
$tpexConfig
N/A
No private methods found
No private properties found
N/A

File
  Core/Thelia.php
Package
  \Default
Class hierarchy
  \Symfony\Component\HttpKernel\Kernel
  \Thelia\Core\Thelia

## Tags

None found

## Constants

### THELIA_VERSION

    THELIA_VERSION

#

## Tags

None found

## Properties

### $tpexConfig

    $tpexConfig

#

## Tags

None found

## Methods

### init()

    init()

#

## Tags

None found

### getCacheDir()

    getCacheDir() : string

Gets the cache directory.

#### Returns

string —

The cache directory

#

## Tags

api |

### getLogDir()

    getLogDir() : string

Gets the log directory.

#### Returns

string —

The log directory

#

## Tags

api |

### registerBundles()

    registerBundles() : array

return available bundle

Part of Symfony\Component\HttpKernel\KernelInterface

#### Returns

array —

An array of bundle instances.

#

## Tags

None found

### registerContainerConfiguration()

    registerContainerConfiguration(\Symfony\Component\Config\Loader\LoaderInterface $loader)

Loads the container configuration

part of Symfony\Component\HttpKernel\KernelInterface

#### Parameters

\Symfony\Component\Config\Loader\LoaderInterface | $loader | A LoaderInterface instance

#

## Tags

api |

### initPropel()

    initPropel()

#

## Tags

None found

### loadConfiguration()

    loadConfiguration(\Symfony\Component\DependencyInjection\ContainerBuilder $container)

Load some configuration Initialize all plugins

#### Parameters

\Symfony\Component\DependencyInjection\ContainerBuilder | $container |

#

## Tags

None found

### getContainerBuilder()

    getContainerBuilder() : \Symfony\Component\DependencyInjection\ContainerBuilder

Gets a new ContainerBuilder instance used to build the service container.

#### Returns

\Symfony\Component\DependencyInjection\ContainerBuilder

#

## Tags

None found

### buildContainer()

    buildContainer() : \Symfony\Component\DependencyInjection\ContainerBuilder

Builds the service container.

#### Throws

\RuntimeException

#### Returns

\Symfony\Component\DependencyInjection\ContainerBuilder —

The compiled service container

#

## Tags

None found

### getKernelParameters()

    getKernelParameters() : array

Returns the kernel parameters.

#### Returns

array —

An array of kernel parameters

#

## Tags

None found

### Thelia.php